diff --git a/compose/start.sh b/compose/start.sh
index 1de83a5c6c2ac75032b0e06c7a5ed8f0859c46f5..fde554fc3d2ef228b9b24b7d9151da842f86e93f 100755
--- a/compose/start.sh
+++ b/compose/start.sh
@@ -6,6 +6,11 @@
 # services are up.  You will also need these in order to interact with the
 # installation once started.
 
+if [[ $EUID -ne 0 ]]; then
+    echo "You must execute this script as root." 1>&2
+    exit 1
+fi
+
 # Set SELinux to permissive
 setenforce permissive